## com.sun.grizzly
Interface ConnectorInstanceHandler<E extends ConnectorHandler>

All Known Implementing Classes:
  ConnectorInstanceHandler.ConcurrentQueueConnectorInstanceHandler, ConnectorInstanceHandler.ConcurrentQueueDelegateCIH

    public interface ConnectorInstanceHandler<E extends ConnectorHandler>

This interface is responsible of handling `ConnectorHandler` instance creation. This interface can be used to implement a connection pooling mechanism.

Author:
  Jeanfrancois

Nested Class Summary
`static class` `ConnectorInstanceHandler.ConcurrentQueueConnectorInstanceHandler<E extends ConnectorHandler>` Concurrent Queue ConnectorInstanceHandler implementation
`static class` `ConnectorInstanceHandler.ConcurrentQueueDelegateCIH<E extends ConnectorHandler>` Concurrent Queue ConnectorInstanceHandler implementation

Method Summary
`E` `acquire()` Acquire a `ConnectorHandler`
`void` `release(E connectorHandler)` Release a `ConnectorHandler`

Method Detail

### acquire

    E acquire()

  Acquire a `ConnectorHandler`

  Returns:
    instance of ConnectorHandler

### release

    void release(E connectorHandler)

  Release a `ConnectorHandler`

  Parameters:
    `connectorHandler` - release connector handler

Copyright © 2008 SUN Microsystems. All Rights Reserved.